<h1>Databinding!</h1>

<h2>What is databinding?</h2>

<p>When we use the term "databinding", we refer to the ability to bind data from our view (HTML document) to a value within our component (class) or vice versa. Databinding works in both directions (from the front to the back or to the back from the front). There are several different types of databinding:</p>

<ul>
    <li>String Interpolation</li>
    <li>Property Binding</li>
    <li>Event Binding</li>
    <li>ngModel</li>
</ul>
